Data3Sixty and Lavastorm connectivity to MongoDb

Comments

2 comments

  • Avatar
    Adrian Williams

    Hi Don,

    The MongoDB nodes in LAE 6.1 are compatible with an old version of MongoDB (2.4.9). The MongoDB nodes Data3Sixty Analyze were rewritten in the 3.2.0 release and now use the 3.6.3 version of the MongoDB driver. The driver compatibility information indicates that the earliest version of MongoDB that can be used with the Java v3.6.3 driver is MongoDB 2.6.

    I have not seen those errors and have only tried the nodes on Windows 64-but, but the following may provide a point of reference on configuration, etc. Perhaps another user can contribute some specific information for Linux.

    Attached is a LAE 6.1 graph that used the example zip code json file available here:

    http://media.mongodb.org/zips.json

    I have recreated the original LAE 6.1 graph using Data3Sixty Analyze 3.4.0 (and consequently, the new nodes) which is also attached. See the ReadMe information in the Input Static node for details of installing MongoDB (3.6 in my case), starting the MongoDB server and importing the zip data collection into a database. You may want to start with the Analyze data flow and work back to LAE.

    If required, the windows version of MongoDB can be downloaded from here:

    https://www.mongodb.com/download-center/community?jmp=docs

    Given the disparity in the MongoDB versions supported by LAE and Data3Sixty Analyze, you may not be able to get both applications to access the same MongoDB instance (I tested the LAE graph on a separate MongoDB 2.4.9 instance)

    Best regards,

    Adrian

     

    Attached files

    Mongo_DB_Example_Zips_LAE_6.1.brg
    MongoDB_Example_Zipcodes - 26 Apr 2019.lna

     

  • Avatar
    Adrian Williams

    Btw you should get results similar to this when the data flow is run in Data3Sixty Analyze

Please sign in to leave a comment.



Powered by Zendesk